commit: 78c0ce2f685a2fb37c47c0de9ea8252a00f3d4eb
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 20 05:07:25 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug 20 06:04:57 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78c0ce2f
dev-python/ruamel-yaml: Bump to 0.18.15
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/ruamel-yaml/Manifest | 1 +
dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild | 50 +++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index d9e8197886f8..63001edcd2f4 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -1 +1,2 @@
DIST ruamel.yaml-0.18.14.tar.xz 200428 BLAKE2B
805467fc7e572d3b0157ab734a864ea065e0ce74252a867498db0406606359e1c416dfad268cfc105ff00fe5f68ff37f64a4b1d50822bf48372ec583a420b70b
SHA512
1245dbaf184cf98257df5d78c32f3775acf4873cb0696b852cf145cdcb7bd0c24c3c4bac5470f18341537a04fa56df4629b554d742341de3774cc78cdd0d1f8a
+DIST ruamel.yaml-0.18.15.tar.xz 201180 BLAKE2B
c5c41ff80a988b0f003cb832e42df39d82c07d54f5ff9d1defc3e9d60ae18dfbd394c9f132879e84043abc4282319682edfe99109a76e870ead1fe42c137c74d
SHA512
1802ae9428078aa580ed7fb0d787e021db142c49d26e89745bf2130af4738c850d0aafb5ae9e091f934b6d20ec7275c3fcd4506591617dbdc396bac377bdf243
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild
b/dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild
new file mode 100644
index 000000000000..55cd75fa13cd
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.18.15.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3_11 python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="https://downloads.sourceforge.net/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Old PyYAML tests from lib/ require special set-up and are
+ # invoked indirectly via test_z_olddata, tell pytest itself
+ # to leave the subdir alone.
+ _test/lib/
+ )
+
+ # this is needed to keep the tests working while
+ # dev-python/namespace-ruamel is still installed
+ distutils_write_namespace ruamel
+ epytest
+}